Bug 45486 - perl(getopts.pl) is missing in "provides" info
perl(getopts.pl) is missing in "provides" info
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: perl (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-21 20:14 EDT by Olivier Baudron
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-29 14:52:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier Baudron 2001-06-21 20:14:48 EDT
$ rpm -qlp perl-5.6.0-15 | grep getopts
/usr/lib/perl5/5.6.0/getopts.pl

$ rpm -qp --provides perl-5.6.0-15 | grep getopts
(nothing!)

Additionally, some packages require "perl(getopts.pl)": openssh-perl,
libungif-progs, etc... and therefore they cannot be installed.
Comment 1 Valdis Kletnieks 2001-06-29 14:52:38 EDT
error: failed dependencies:
        perl(SGMLTools)   is needed by sgml-tools-1.0.9-12

Not sure if this is the same problem, or if it belongs to some other perl-*  or
sgml-* RPM.
Comment 2 Olivier Baudron 2001-07-17 04:42:24 EDT
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.